#stpinstall.sh - create rstp commands symlinks
#
# Copyright 2005 TeamF1,Inc */
#
# modification history
# --------------------
# 01a,07nov05,rks written

[ $# -eq 2 ] || echo "Usage: sh stpinstall <INSTALLDIR> <STP8021WCONFIGPATH>" || exit 0;
 
INSTALLDIR=$1
STP8021WCONFIGPATH=$2

echo "creating stp binaries..."

ln -s $STP8021WCONFIGPATH $INSTALLDIR/rstpExit
ln -s $STP8021WCONFIGPATH $INSTALLDIR/rstpMaxAgeSet
ln -s $STP8021WCONFIGPATH $INSTALLDIR/rstpBdgPrioritySet
ln -s $STP8021WCONFIGPATH $INSTALLDIR/rstpFwdDelaySet      
ln -s $STP8021WCONFIGPATH $INSTALLDIR/rstpPortPathCostSet  
ln -s $STP8021WCONFIGPATH $INSTALLDIR/rstpStatesShow
ln -s $STP8021WCONFIGPATH $INSTALLDIR/rstpHelloTimeSet     
ln -s $STP8021WCONFIGPATH $INSTALLDIR/rstpPortPrioritySet
ln -s $STP8021WCONFIGPATH $INSTALLDIR/rstpInfoShow         
ln -s $STP8021WCONFIGPATH $INSTALLDIR/rstpPortShow
ln -s $STP8021WCONFIGPATH $INSTALLDIR/rstpProtoVersionSet
ln -s $STP8021WCONFIGPATH $INSTALLDIR/rstpTxHoldCountSet
ln -s $STP8021WCONFIGPATH $INSTALLDIR/rstpMigrateTimeSet
ln -s $STP8021WCONFIGPATH $INSTALLDIR/rstpMigrateTimeGet
ln -s $STP8021WCONFIGPATH $INSTALLDIR/rstpProtoVersionGet
ln -s $STP8021WCONFIGPATH $INSTALLDIR/rstpTxHoldCountGet
ln -s $STP8021WCONFIGPATH $INSTALLDIR/rstpPortPathCostGet
ln -s $STP8021WCONFIGPATH $INSTALLDIR/rstpPortPriorityGet

